Subject: Re: bug#13472: Execution mode can hang pc when parameter refers to big file

From: Peter Rosin <[email-masked]>
Date: Tue, 29 Jan 2013 15:43:06 +0100

Hi Bob,

On 2013-01-17 16:29, Bob Friesenhahn wrote:
> Everything would be easier if libtool would arrange to build a small helper
> executable in the build tree which it can used instead of system tools.
> Libtool already builds a native executable in some cases.  This would
> diminish portability concerns and improve performance.  The main issue
> with this is that for cross-builds, a system native compiler needs to be
> used to build the helper executable.

Forgive me for my ignorance, but when does libtool build something with
the $build compiler in the cross case? The only thing I can find that
looks like an alternative compiler is $LTCC, but that's just another
name for the normal $host C compiler. What am I missing?

Cheers,
Peter